
<section id="resultSectionHeader">
  <div id="problematicTitle" *ngFor="let actualSession of session, let i=index">
    <h1>{{actualSession.session_objet}}</h1>
  </div>
  <ul>
    <li><button type="button" class="btn btn-dark" (click)="openPDF()">Télécharger le fichier bilan</button></li>
    <li><button type="button" class="btn btn-danger" (click)="destroySession()">Quitter la session</button></li>
  </ul>
</section>
<h2>Idées proposées par les collaborateurs</h2>

<section id="resultsSection">
    <div class="card border-dark mb-3 text-center" style="max-width: 20rem; min-width: 20rem; min-height: 14rem; max-height: 14rem;" *ngFor="let idea of ideas, let i=index">
      <div class="card-header">"{{idea.idea_titre}}"</div>
      <div class="card-body">
        <h5 class="card-title">Moyenne : <span class="averageCard">{{idea.moyenne_note}}</span>/5</h5>
        <p class="card-text">{{idea.idea_desc}}</p>
      </div>
      <p><em class="seeMoreLink" type="button" data-bs-toggle="modal" (click)="seeMore(idea.moyenne_id)" data-bs-target="#seeMoreModal">Voir plus</em></p>
      <!-- Modal -->
      <div class="modal fade" id="seeMoreModal" tabindex="-1" aria-labelledby="seeMoreModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="seeMoreModalLabel">Titre : "<label id="idea_titre">{{idea_titre}}</label>"</h5>
              <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body" id="idea_desc">{{idea_desc}}
            </div>
            <p>Moyenne : <span class="averageModal" id="moyenne_note">{{moyenne_note}}</span>/5</p>
            <div class="modal-footer">
              <button type="button" class="btn btn-primary" data-bs-dismiss="modal">OK</button>
            </div>
          </div>
        </div>
      </div>
    </div>




    <!--<div class="col">
      <div class="card h-100">
        <div class="card-body">
          <h5 class="card-title">Card title</h5>
          <p class="card-text">This is a longer card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.</p>
        </div>
      </div>
    </div>-->
  <!--<div class="accordion" id="ideasAccordion" *ngFor="let idea of ideas, let i=index">
    <div class="accordion-item">
      <h2 class="accordion-header" id="headingOne">
        <button class="accordion-button" type="button" data-bs-toggle="collapse" [attr.data-bs-target]="'#collapse'+i" aria-expanded="true" [attr.aria-controls]="'collapse'+i">
          Titre : "{{idea.idea_titre}}" - Moyenne : {{idea.moyenne_note}}/5
        </button>
      </h2>
      <div [attr.id]="'collapse'+i" class="accordion-collapse collapse" aria-labelledby="headingOne" data-bs-parent="#ideasAccordion">
        <div class="accordion-body" id="accordion-body">
          <strong>Description : </strong> {{idea.idea_desc}}
        </div>
      </div>
    </div>
  </div>-->
</section>
